
/*******************************************************************************
DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" AND BFG ENGINEERING MAKES NO WARRANTIES
REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING
BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.

WE (BFG ENGINEERING) DO NOT WARRANT THAT THIS SOFTWARE IS FREE FROM CLAIMS
BY A THIRD PARTY OF COPYRIGHT, PATENT, TRADEMARK, TRADE SECRET OR ANY OTHER
INTELLECTUAL PROPERTY INFRINGIMENT.

TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, BFG ENGINEERING
SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF BFG
ENGINEERING HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
PARTICULARLY, UNDER NO CIRCUMSTANCES ARE WE LIABLE FOR ANY OF THE FOLLOWING:
- THIRD PARTY CLAIMS AGAINST YOU FOR LOSSES OR DAMAGES;
- LOSS OF, OR DAMAGE TO YOUR RECORDS OR DATA; OR
- ECONOMIC CONSEQUENTIAL DAMAGES (INCLUDING LOST PROFITS OR SAVINGS) OR
  INCIDENTAL DAMAGES, EVEN IF WE ARE INFORMED OF THEIR POSSIBILITY.

BFG ENGINEERING DOES NOT WARRANT UNINTERRUPTED OR ERROR_FREE OPERATION OF
THIS SOFTWARE.
BFG ENGINEERING HAS NO OBLIGATION TO PROVIDE SERVICE, DEFECT CORRECTION OR
ANY MANTEINANCE OF THIS SOFTWARE; OR TO SUPPLY ANY UPDATES OR ENHANCEMENTS
EVEN IF SUCH ARE, OR LATER BECOME, AVAILABLE.

IF YOU DOWNLOAD OR USE THIS SOFTWARE YOU AGREE TO THESE TERMS, AND DO IT AT
YOUR OWN RISK.
*******************************************************************************/

/*******************************************************************************
File:		main_thread_entry.c
Project:	BLAC_S5D9
Revision:	1.0
Date:		01-05-17 (DD-MM-YYYY)
Author:		Andrea Ghirardello
Contents:	Main Thread entry function
*******************************************************************************/

#define _MAIN_THREAD_ENTRY_C	// insert define BEFORE including header files

#include "hal_data.h"
#include "main_thread.h"
#include ".\motor_control\globdef.h"
#include ".\motor_control\i_ges_eqp.h"
#include ".\motor_control\i_motorcontrol.h"


//#define DELAY_TUNING_ENABLED    ( 1 )
#define DELAY_TUNING_ENABLED    ( 0 )
void main_thread_entry(void)
{
    // disable inrush limitation
    SET_LIM_OFF

    // delay tuning
    while( DELAY_TUNING_ENABLED )
    {
        TOGGLE_LED
        //DELAY2US
        //DELAY10US( 1 )
        //DELAY100US( 1 )
        DELAY1MS( 1 )
    }

	// parameters table upload
	GE_IniEqp();
	GE_DefToRam();
//	GE_RamToEqp();
	if(0 != GE_EqpToRam())
	{
		UIF_R.var.all = EQP_ALL;
		SET_ALRM_ON
	}

    // init parameters
    MC_IniPar();

    // reading A/D offsets
    MC_SetOff();

	// init and start GPT_PWM timer
	MC_IniPWM();
	MC_StartPWM();

	// program loop
    while (1)
    {
	    while ( MC_WaitSync() )
	    {
			tx_thread_sleep (1);
	    }

	    // time debug
#ifdef MAINLOOP_TIME_DEBUG
	    TURN_ON_LED
#endif  // ifdef MAINLOOP_TIME_DEBUG

	    //MC_Debug();
		MC_WorkMan();
		MC_ConFil();
		MC_UpdPar();
		if(0 != GE_EqpMan())
		{
			if(0 == UIF_R.var.all)
			{
				UIF_R.var.all = EQP_ALL;
				SET_ALRM_ON
			}
		}

		// time debug
#ifdef MAINLOOP_TIME_DEBUG
        TURN_OFF_LED
#endif  // ifdef MAINLOOP_TIME_DEBUG

    }
}

// EOF main_thread_entry.c

