
/*******************************************************************************
DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" AND BFG ENGINEERING MAKES NO WARRANTIES
REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING
BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.

WE (BFG ENGINEERING) DO NOT WARRANT THAT THIS SOFTWARE IS FREE FROM CLAIMS
BY A THIRD PARTY OF COPYRIGHT, PATENT, TRADEMARK, TRADE SECRET OR ANY OTHER
INTELLECTUAL PROPERTY INFRINGIMENT.

TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, BFG ENGINEERING
SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF BFG
ENGINEERING HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
PARTICULARLY, UNDER NO CIRCUMSTANCES ARE WE LIABLE FOR ANY OF THE FOLLOWING:
- THIRD PARTY CLAIMS AGAINST YOU FOR LOSSES OR DAMAGES;
- LOSS OF, OR DAMAGE TO YOUR RECORDS OR DATA; OR
- ECONOMIC CONSEQUENTIAL DAMAGES (INCLUDING LOST PROFITS OR SAVINGS) OR
  INCIDENTAL DAMAGES, EVEN IF WE ARE INFORMED OF THEIR POSSIBILITY.

BFG ENGINEERING DOES NOT WARRANT UNINTERRUPTED OR ERROR_FREE OPERATION OF
THIS SOFTWARE.
BFG ENGINEERING HAS NO OBLIGATION TO PROVIDE SERVICE, DEFECT CORRECTION OR
ANY MANTEINANCE OF THIS SOFTWARE; OR TO SUPPLY ANY UPDATES OR ENHANCEMENTS
EVEN IF SUCH ARE, OR LATER BECOME, AVAILABLE.

IF YOU DOWNLOAD OR USE THIS SOFTWARE YOU AGREE TO THESE TERMS, AND DO IT AT
YOUR OWN RISK.
*******************************************************************************/

/*******************************************************************************
File:		gpt_pwm_private_api.h
Project:	S5D9_MotorControl
Revision:	1.0
Date:		01-05-17 (DD-MM-YYYY)
Author:		Andrea Ghirardello
Contents:	Private functions prototipes for gpt_pwm
*******************************************************************************/

#ifndef GPT_PWM_PRIVATE_API_H
#define GPT_PWM_PRIVATE_API_H

/***********************************************************************************************************************
 * Private Instance API Functions. DO NOT USE! Use functions through Interface API structure instead.
 **********************************************************************************************************************/
ssp_err_t GPT_PWM_TimerOpen		(	mc_timer_ctrl_t			* const p_ctrl,
									mc_timer_cfg_t const	* const p_cfg);
ssp_err_t GPT_PWM_Stop			(	mc_timer_ctrl_t			* const p_ctrl);
ssp_err_t GPT_PWM_Start			(	mc_timer_ctrl_t 		* const p_ctrl);
ssp_err_t GPT_PWM_EnableOut		(	mc_timer_ctrl_t 		* const p_ctrl);
ssp_err_t GPT_PWM_DisableOut	(	mc_timer_ctrl_t 		* const p_ctrl);
ssp_err_t GPT_PWM_OutEnabled	(	mc_timer_ctrl_t			* const p_ctrl,
									bool					* enabled);
ssp_err_t GPT_PWM_DutyCyclesSet (   mc_timer_ctrl_t			* const p_ctrl,
									mc_timer_dutycycles		* const duty_cycles);
ssp_err_t GPT_PWM_DutyCyclesGet (   mc_timer_ctrl_t			* const p_ctrl,
									mc_timer_dutycycles		* const duty_cycles);
ssp_err_t GPT_PWM_Close			(	mc_timer_ctrl_t			* const p_ctrl);
ssp_err_t GPT_PWM_VersionGet	(	ssp_version_t			* const p_version);

#endif /* GPT_PWM_PRIVATE_API_H */
