
/*******************************************************************************
DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" AND BFG ENGINEERING MAKES NO WARRANTIES
REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING
BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.

WE (BFG ENGINEERING) DO NOT WARRANT THAT THIS SOFTWARE IS FREE FROM CLAIMS
BY A THIRD PARTY OF COPYRIGHT, PATENT, TRADEMARK, TRADE SECRET OR ANY OTHER
INTELLECTUAL PROPERTY INFRINGIMENT.

TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, BFG ENGINEERING
SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF BFG
ENGINEERING HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
PARTICULARLY, UNDER NO CIRCUMSTANCES ARE WE LIABLE FOR ANY OF THE FOLLOWING:
- THIRD PARTY CLAIMS AGAINST YOU FOR LOSSES OR DAMAGES;
- LOSS OF, OR DAMAGE TO YOUR RECORDS OR DATA; OR
- ECONOMIC CONSEQUENTIAL DAMAGES (INCLUDING LOST PROFITS OR SAVINGS) OR
  INCIDENTAL DAMAGES, EVEN IF WE ARE INFORMED OF THEIR POSSIBILITY.

BFG ENGINEERING DOES NOT WARRANT UNINTERRUPTED OR ERROR_FREE OPERATION OF
THIS SOFTWARE.
BFG ENGINEERING HAS NO OBLIGATION TO PROVIDE SERVICE, DEFECT CORRECTION OR
ANY MANTEINANCE OF THIS SOFTWARE; OR TO SUPPLY ANY UPDATES OR ENHANCEMENTS
EVEN IF SUCH ARE, OR LATER BECOME, AVAILABLE.

IF YOU DOWNLOAD OR USE THIS SOFTWARE YOU AGREE TO THESE TERMS, AND DO IT AT
YOUR OWN RISK.
*******************************************************************************/

/*******************************************************************************
File:		const_def.h
Project:	SK_S7G2_MotorControl
Revision:	1.0
Date:		01-06-16 (DD-MM-YYYY)
Author:		Andrea Ghirardello
Contents:	Internal constants definition
*******************************************************************************/

#ifndef _CONST_DEF_H
#define _CONST_DEF_H

#include "typedefine.h"
#include "customize.h"

// floating point numerical constants
#ifndef F_CONST
#define F_CONST
#define PI					( 3.141592654 )			//  180
#define PISIXTH				(PI / 6.0)				//  030
#define PIFOURTHS			(PI / 4.0)				//  045
#define PITHIRDS			(PI / 3.0)				//  060
#define PIHALVES			(PI / 2.0)				//  090
#define TWOPITHIRDS			(PI * 2.0 / 3.0)		//  120
#define THREEPIFOURTHS		(PI * 3.0 / 4.0)		//  135
#define FIVEPISIXTH			(PI * 5.0 / 6.0)		//  150
#define SEVENPISIXTH		(PI * 7.0 / 6.0)		//  210
#define FIVEPIFOURTHS		(PI * 5.0 / 4.0)		//  225
#define FOURPITHIRDS		(PI * 4.0 / 3.0)		//  240
#define THREEPIHALVES		(PI * 3.0 / 2.0)		//  270
#define FIVEPITHIRDS		(PI * 5.0 / 3.0)		//  300
#define SEVENPIFOURTHS		(PI * 7.0 / 4.0)		//  315
#define ELEVENPISIXTH		(PI * 11.0 / 6.0)		//  330
#define TWOPI				(PI * 2.0)				//  360
#define PI_NEG				(-PI)					// -180 (180)
#define PISIXTH_NEG			(-PI / 6.0)				// -030 (330)
#define PIFOURTHS_NEG		(-PI / 4.0)				// -045 (315)
#define PITHIRDS_NEG		(-PI / 3.0)				// -060 (300)
#define PIHALVES_NEG		(-PI / 2.0)				// -090 (270)
#define TWOPITHIRDS_NEG		(-PI * 2.0 / 3.0)		// -120 (240)
#define THREEPIFOURTHS_NEG	(-PI * 3.0 / 4.0)		// -135 (225)
#define FIVEPISIXTH_NEG		(-PI * 5.0 / 6.0)		// -150 (210)
#define	ONETHIRD			(1.0 / 3.0)
#define	TWOTHIRDS			(2.0 / 3.0)
#define	FOURTHIRDS			(4.0 / 3.0)
#define	SQRT2				( 1.414213562 )
#define	SQRT3				( 1.732050808 )
#define SQRT2D2				(SQRT2 / 2.0)			// 1/SQRT(2)
#define SQRT3D2				(SQRT3 / 2.0)
#define SQRT3D3				(SQRT3 / 3.0)			// 1/SQRT(3)
#define FPI					((float32_t) PI)
#define FPISIXTH			((float32_t) PISIXTH)
#define FPIFOURTHS			((float32_t) PIFOURTHS)
#define FPITHIRDS			((float32_t) PITHIRDS)
#define FPIHALVES			((float32_t) PIHALVES)
#define FTWOPITHIRDS		((float32_t) TWOPITHIRDS)
#define FTHREEPIFOURTHS		((float32_t) THREEPIFOURTHS)
#define FFIVEPISIXTH		((float32_t) FIVEPISIXTH)
#define FSEVENPISIXTH		((float32_t) SEVENPISIXTH)
#define FFIVEPIFOURTHS		((float32_t) FIVEPIFOURTHS)
#define FFOURPITHIRDS		((float32_t) FOURPITHIRDS)
#define FTHREEPIHALVES		((float32_t) THREEPIHALVES)
#define FFIVEPITHIRDS		((float32_t) FIVEPITHIRDS)
#define FSEVENPIFOURTHS		((float32_t) SEVENPIFOURTHS)
#define FELEVENPISIXTH		((float32_t) ELEVENPISIXTH)
#define FTWOPI				((float32_t) TWOPI)
#define FPI_NEG				((float32_t) PI_NEG)
#define FPISIXTH_NEG		((float32_t) PISIXTH_NEG)
#define FPIFOURTHS_NEG		((float32_t) PIFOURTHS_NEG)
#define FPITHIRDS_NEG		((float32_t) PITHIRDS_NEG)
#define FPIHALVES_NEG		((float32_t) PIHALVES_NEG)
#define FTWOPITHIRDS_NEG	((float32_t) TWOPITHIRDS_NEG)
#define FTHREEPIFOURTHS_NEG	((float32_t) THREEPIFOURTHS_NEG)
#define FFIVEPISIXTH_NEG	((float32_t) FIVEPISIXTH_NEG)
#define	FONETHIRD			((float32_t) ONETHIRD)
#define	FTWOTHIRDS			((float32_t) TWOTHIRDS)
#define	FFOURTHIRDS			((float32_t) FOURTHIRDS)
#define	FSQRT2				((float32_t) SQRT2)
#define	FSQRT3				((float32_t) SQRT3)
#define FSQRT2D2			((float32_t) SQRT2D2)
#define FSQRT3D2			((float32_t) SQRT3D2)
#define FSQRT3D3			((float32_t) SQRT3D3)
#endif	// ifndef F_CONST

// base timings
#define	MLOOP_FRE_HZ	(   100.0 )	// desired main loop frequency in Hz
#define MLOOPS_1MIN		(60 * MLOOP_FRE_HZ)

// duty cycle and modulation restrictions
#define	VBMIN			( 10.0f )
#define SH_NRM			( 14 )

// 12 bit A/D converter voltage and range
#define A12VCC			(    3.3 )	// A/D Range V
#define AD12FS			( 4096.0 )	// A/D full scale (bit)

// output currents A/D conversion (the reading is referred to AVCC/2, so half the range is used)
#define RAV_AD			(1.0 / (RSHUNT_OHM * RSGAIN))	// peak real_ampere/pin_volt ratio at the input pin

// voltages (bus and output) A/D conversion (the reading is referred to 0, so all the range is used)
#define RVV_AD			((RVBUSH_OHM + RVBUSL_OHM) / RVBUSL_OHM)	// peak real_volt/pin_volt ratio at the input pin

// currents
#define KADI			((float32_t)(RAV_AD * A12VCC / AD12FS))

// voltages
#define KADV			((float32_t)(RVV_AD * A12VCC / AD12FS))

// time, speed etc. conversion constants
#define KFO				((float32_t)(TWOPI))		// Omega[rad/sec]=KFO*Freq[Hertz]
#define KOF				((float32_t)(1.0 / TWOPI))	// Freq[Hertz]=KOF*Omega[rad/sec]
#define KRPMO			((float32_t)(TWOPI / 60.0))	// Omega[rad/sec]=KRPMO*velocita[rpm]
#define KORPM			((float32_t)(60.0 / TWOPI))	// velocita[rpm]=KORPM*Omega[rad/sec]

// flux weakening
#define INTID_RAMP		((float32_t)(DCUR_DT / SAM_FRE_HZ))

// phase compensation (number of sampling periods)
#define K_COMPPH		( 1.5f )

// alarms
#define	EQP_ALL			( 1 )	// eeprom alarm code
#define	FAULT_ALL		( 2 )	// POE hardware alarm code
#define OVC_ALL			( 3 )   // overcurrent hardware alarm code
#define TRIP_ALL		( 4 )   // position lost alarm code
#define	FAULT1_ALL		( 5 )	// POE hardware alarm code (external power stage)
#define OVC1_ALL		( 6 )   // overcurrent hardware alarm code (external power stage)
#define TRIP1_ALL		( 7 )   // position lost alarm code (external power stage)

#endif	// _CONST_DEF_H

// EOF const_def.h

