
/*******************************************************************************
DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" AND BFG ENGINEERING MAKES NO WARRANTIES
REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING
BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.

WE (BFG ENGINEERING) DO NOT WARRANT THAT THIS SOFTWARE IS FREE FROM CLAIMS
BY A THIRD PARTY OF COPYRIGHT, PATENT, TRADEMARK, TRADE SECRET OR ANY OTHER
INTELLECTUAL PROPERTY INFRINGIMENT.

TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, BFG ENGINEERING
SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF BFG
ENGINEERING HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
PARTICULARLY, UNDER NO CIRCUMSTANCES ARE WE LIABLE FOR ANY OF THE FOLLOWING:
- THIRD PARTY CLAIMS AGAINST YOU FOR LOSSES OR DAMAGES;
- LOSS OF, OR DAMAGE TO YOUR RECORDS OR DATA; OR
- ECONOMIC CONSEQUENTIAL DAMAGES (INCLUDING LOST PROFITS OR SAVINGS) OR
  INCIDENTAL DAMAGES, EVEN IF WE ARE INFORMED OF THEIR POSSIBILITY.

BFG ENGINEERING DOES NOT WARRANT UNINTERRUPTED OR ERROR_FREE OPERATION OF
THIS SOFTWARE.
BFG ENGINEERING HAS NO OBLIGATION TO PROVIDE SERVICE, DEFECT CORRECTION OR
ANY MANTEINANCE OF THIS SOFTWARE; OR TO SUPPLY ANY UPDATES OR ENHANCEMENTS
EVEN IF SUCH ARE, OR LATER BECOME, AVAILABLE.

IF YOU DOWNLOAD OR USE THIS SOFTWARE YOU AGREE TO THESE TERMS, AND DO IT AT
YOUR OWN RISK.
*******************************************************************************/

/*******************************************************************************
File:		defpar.h
Contents:	Parameters default values
Note:		This file is referred to NANOTEC DB42S03 motor, but it can be
			substituted by a custom one automatically generated by the GUI
*******************************************************************************/

#ifndef _DEFPAR_H
#define _DEFPAR_H

// Motor default parameters
#define OPERATION_SEL   		(      0      )
#define RPM_MIN_DEF				(    300.0    )
#define RPM_MAX_DEF				(   8000.0    )
#define R_ACC_DEF				(   2000.0    )
#define R_DEC_DEF				(   2000.0    )
#define C_POLI_DEF				(      4.0    )
#define I_START_DEF				(      0.5    )
#define I_MAX_DEF				(      2.5    )
#define R_STA_DEF				(      0.885  )
#define L_SQ_DEF				(      0.0012 )
#define PM_FLX_DEF				(      0.0055 )
#define KP_CUR_DEF				(      3.5    )
#define KI_CUR_DEF				(   3500.0    )
#define KP_VEL_DEF				(      0.002  )
#define KI_VEL_DEF				(      0.1    )
#define FB_GAIN_DEF				(     50.0    )
#define PHA_OFF_DEF				(      0.0    )
#define SUP_TIM_DEF				(      0.8    )
#define FL_FTAU_DEF				(      0.05   )
#define SAM_FRE_DEF				(  16000.0    )
#define F_RATIO_DEF				(      1.0    )

#endif	// _DEFPAR_H
