
/*******************************************************************************
DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" AND BFG ENGINEERING MAKES NO WARRANTIES
REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING
BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.

WE (BFG ENGINEERING) DO NOT WARRANT THAT THIS SOFTWARE IS FREE FROM CLAIMS
BY A THIRD PARTY OF COPYRIGHT, PATENT, TRADEMARK, TRADE SECRET OR ANY OTHER
INTELLECTUAL PROPERTY INFRINGIMENT.

TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, BFG ENGINEERING
SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF BFG
ENGINEERING HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
PARTICULARLY, UNDER NO CIRCUMSTANCES ARE WE LIABLE FOR ANY OF THE FOLLOWING:
- THIRD PARTY CLAIMS AGAINST YOU FOR LOSSES OR DAMAGES;
- LOSS OF, OR DAMAGE TO YOUR RECORDS OR DATA; OR
- ECONOMIC CONSEQUENTIAL DAMAGES (INCLUDING LOST PROFITS OR SAVINGS) OR
  INCIDENTAL DAMAGES, EVEN IF WE ARE INFORMED OF THEIR POSSIBILITY.

BFG ENGINEERING DOES NOT WARRANT UNINTERRUPTED OR ERROR_FREE OPERATION OF
THIS SOFTWARE.
BFG ENGINEERING HAS NO OBLIGATION TO PROVIDE SERVICE, DEFECT CORRECTION OR
ANY MANTEINANCE OF THIS SOFTWARE; OR TO SUPPLY ANY UPDATES OR ENHANCEMENTS
EVEN IF SUCH ARE, OR LATER BECOME, AVAILABLE.

IF YOU DOWNLOAD OR USE THIS SOFTWARE YOU AGREE TO THESE TERMS, AND DO IT AT
YOUR OWN RISK.
*******************************************************************************/

/*******************************************************************************
File:		mask.h
Project:	S5D9_MotorControl
Revision:	1.0
Date:		01-06-16 (DD-MM-YYYY)
Author:		Andrea Ghirardello
Contents:	General use mask defines
*******************************************************************************/

#ifndef	_MASK_H
#define	_MASK_H

#include "typedefine.h"

#define SET0		((uint8_t)(0x01))
#define SET1		((uint8_t)(0x02))
#define SET2		((uint8_t)(0x04))
#define SET3		((uint8_t)(0x08))
#define SET4		((uint8_t)(0x10))
#define SET5		((uint8_t)(0x20))
#define SET6		((uint8_t)(0x40))
#define SET7		((uint8_t)(0x80))

#define CLR0		((uint8_t)(0xFE))
#define CLR1		((uint8_t)(0xFD))
#define CLR2		((uint8_t)(0xFB))
#define CLR3		((uint8_t)(0xF7))
#define CLR4		((uint8_t)(0xEF))
#define CLR5		((uint8_t)(0xDF))
#define CLR6		((uint8_t)(0xBF))
#define CLR7		((uint8_t)(0x7F))

#define WSET0		((uint16_t)(0x0001))
#define WSET1		((uint16_t)(0x0002))
#define WSET2		((uint16_t)(0x0004))
#define WSET3		((uint16_t)(0x0008))
#define WSET4		((uint16_t)(0x0010))
#define WSET5		((uint16_t)(0x0020))
#define WSET6		((uint16_t)(0x0040))
#define WSET7		((uint16_t)(0x0080))
#define WSET8		((uint16_t)(0x0100))
#define WSET9		((uint16_t)(0x0200))
#define WSETA		((uint16_t)(0x0400))
#define WSETB		((uint16_t)(0x0800))
#define WSETC		((uint16_t)(0x1000))
#define WSETD		((uint16_t)(0x2000))
#define WSETE		((uint16_t)(0x4000))
#define WSETF		((uint16_t)(0x8000))

#define WCLR0		((uint16_t)(0xFFFE))
#define WCLR1		((uint16_t)(0xFFFD))
#define WCLR2		((uint16_t)(0xFFFB))
#define WCLR3		((uint16_t)(0xFFF7))
#define WCLR4		((uint16_t)(0xFFEF))
#define WCLR5		((uint16_t)(0xFFDF))
#define WCLR6		((uint16_t)(0xFFBF))
#define WCLR7		((uint16_t)(0xFF7F))
#define WCLR8		((uint16_t)(0xFEFF))
#define WCLR9		((uint16_t)(0xFDFF))
#define WCLRA		((uint16_t)(0xFBFF))
#define WCLRB		((uint16_t)(0xF7FF))
#define WCLRC		((uint16_t)(0xEFFF))
#define WCLRD		((uint16_t)(0xDFFF))
#define WCLRE		((uint16_t)(0xBFFF))
#define WCLRF		((uint16_t)(0x7FFF))

#define LSET00		((uint32_t)(0x00000001))
#define LSET01		((uint32_t)(0x00000002))
#define LSET02		((uint32_t)(0x00000004))
#define LSET03		((uint32_t)(0x00000008))
#define LSET04		((uint32_t)(0x00000010))
#define LSET05		((uint32_t)(0x00000020))
#define LSET06		((uint32_t)(0x00000040))
#define LSET07		((uint32_t)(0x00000080))
#define LSET08		((uint32_t)(0x00000100))
#define LSET09		((uint32_t)(0x00000200))
#define LSET0A		((uint32_t)(0x00000400))
#define LSET0B		((uint32_t)(0x00000800))
#define LSET0C		((uint32_t)(0x00001000))
#define LSET0D		((uint32_t)(0x00002000))
#define LSET0E		((uint32_t)(0x00004000))
#define LSET0F		((uint32_t)(0x00008000))
#define LSET10		((uint32_t)(0x00010000))
#define LSET11		((uint32_t)(0x00020000))
#define LSET12		((uint32_t)(0x00040000))
#define LSET13		((uint32_t)(0x00080000))
#define LSET14		((uint32_t)(0x00100000))
#define LSET15		((uint32_t)(0x00200000))
#define LSET16		((uint32_t)(0x00400000))
#define LSET17		((uint32_t)(0x00800000))
#define LSET18		((uint32_t)(0x01000000))
#define LSET19		((uint32_t)(0x02000000))
#define LSET1A		((uint32_t)(0x04000000))
#define LSET1B		((uint32_t)(0x08000000))
#define LSET1C		((uint32_t)(0x10000000))
#define LSET1D		((uint32_t)(0x20000000))
#define LSET1E		((uint32_t)(0x40000000))
#define LSET1F		((uint32_t)(0x80000000))

#define LCLR00		((uint32_t)(0xFFFFFFFE))
#define LCLR01		((uint32_t)(0xFFFFFFFD))
#define LCLR02		((uint32_t)(0xFFFFFFFB))
#define LCLR03		((uint32_t)(0xFFFFFFF7))
#define LCLR04		((uint32_t)(0xFFFFFFEF))
#define LCLR05		((uint32_t)(0xFFFFFFDF))
#define LCLR06		((uint32_t)(0xFFFFFFBF))
#define LCLR07		((uint32_t)(0xFFFFFF7F))
#define LCLR08		((uint32_t)(0xFFFFFEFF))
#define LCLR09		((uint32_t)(0xFFFFFDFF))
#define LCLR0A		((uint32_t)(0xFFFFFBFF))
#define LCLR0B		((uint32_t)(0xFFFFF7FF))
#define LCLR0C		((uint32_t)(0xFFFFEFFF))
#define LCLR0D		((uint32_t)(0xFFFFDFFF))
#define LCLR0E		((uint32_t)(0xFFFFBFFF))
#define LCLR0F		((uint32_t)(0xFFFF7FFF))
#define LCLR10		((uint32_t)(0xFFFEFFFF))
#define LCLR11		((uint32_t)(0xFFFDFFFF))
#define LCLR12		((uint32_t)(0xFFFBFFFF))
#define LCLR13		((uint32_t)(0xFFF7FFFF))
#define LCLR14		((uint32_t)(0xFFEFFFFF))
#define LCLR15		((uint32_t)(0xFFDFFFFF))
#define LCLR16		((uint32_t)(0xFFBFFFFF))
#define LCLR17		((uint32_t)(0xFF7FFFFF))
#define LCLR18		((uint32_t)(0xFEFFFFFF))
#define LCLR19		((uint32_t)(0xFDFFFFFF))
#define LCLR1A		((uint32_t)(0xFBFFFFFF))
#define LCLR1B		((uint32_t)(0xF7FFFFFF))
#define LCLR1C		((uint32_t)(0xEFFFFFFF))
#define LCLR1D		((uint32_t)(0xDFFFFFFF))
#define LCLR1E		((uint32_t)(0xBFFFFFFF))
#define LCLR1F		((uint32_t)(0x7FFFFFFF))

#endif	// _MASK_H

// EOF mask.h

